# Uses of Class
org.apache.lucene.index.MergePolicy.OneMerge

Packages that use MergePolicy.OneMerge
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of MergePolicy.OneMerge in org.apache.lucene.index

  Fields in org.apache.lucene.index with type parameters of type MergePolicy.OneMerge
  Modifier and Type
  Field
  Description
  `final List<MergePolicy.OneMerge>`
  MergePolicy.MergeSpecification.`merges`
  The subset of segments to be included in the primitive merge.
  Methods in org.apache.lucene.index that return MergePolicy.OneMerge
  Modifier and Type
  Method
  Description
  `MergePolicy.OneMerge`
  MergeScheduler.MergeSource.`getNextMerge()`
  The `MergeScheduler` calls this method to retrieve the next merge requested by the MergePolicy
  Methods in org.apache.lucene.index with parameters of type MergePolicy.OneMerge
  Modifier and Type
  Method
  Description
  `void`
  MergePolicy.MergeSpecification.`add(MergePolicy.OneMerge merge)`
  Adds the provided `MergePolicy.OneMerge` to this specification.
  `void`
  IndexWriter.`addIndexesReaderMerge(MergePolicy.OneMerge merge)`
  Runs a single merge operation for `IndexWriter.addIndexes(CodecReader...)`.
  `protected void`
  ConcurrentMergeScheduler.`doMerge(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Does the actual merge, by calling `MergeScheduler.MergeSource.merge(org.apache.lucene.index.MergePolicy.OneMerge)`
  `Executor`
  ConcurrentMergeScheduler.`getIntraMergeExecutor(MergePolicy.OneMerge merge)`
  `Executor`
  MergeScheduler.`getIntraMergeExecutor(MergePolicy.OneMerge merge)`
  Provides an executor for parallelism during a single merge operation.
  `Executor`
  NoMergeScheduler.`getIntraMergeExecutor(MergePolicy.OneMerge merge)`
  `protected ConcurrentMergeScheduler.MergeThread`
  ConcurrentMergeScheduler.`getMergeThread(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Create and return a new MergeThread
  `protected void`
  IndexWriter.`merge(MergePolicy.OneMerge merge)`
  Merges the indicated segments, replacing them in the stack with a single segment.
  `void`
  MergeScheduler.MergeSource.`merge(MergePolicy.OneMerge merge)`
  Merges the indicated segments, replacing them in the stack with a single segment.
  `protected void`
  IndexWriter.`mergeSuccess(MergePolicy.OneMerge merge)`
  Hook that's called when the specified merge is complete.
  `void`
  MergeScheduler.MergeSource.`onMergeFinished(MergePolicy.OneMerge merge)`
  Does finishing for a merge.
  `Directory`
  ConcurrentMergeScheduler.`wrapForMerge(MergePolicy.OneMerge merge, Directory in)`
  `Directory`
  MergeScheduler.`wrapForMerge(MergePolicy.OneMerge merge, Directory in)`
  Wraps the incoming `Directory` so that we can merge-throttle it using `RateLimitedIndexOutput`.
  `Directory`
  NoMergeScheduler.`wrapForMerge(MergePolicy.OneMerge merge, Directory in)`
  Constructors in org.apache.lucene.index with parameters of type MergePolicy.OneMerge
  Modifier
  Constructor
  Description
  ``
  `MergeThread(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Sole constructor.
  `protected`
  `OneMerge(MergePolicy.OneMerge oneMerge)`
  Constructor for wrapping.
  Constructor parameters in org.apache.lucene.index with type arguments of type MergePolicy.OneMerge
  Modifier
  Constructor
  Description
  ``
  `OneMergeWrappingMergePolicy(MergePolicy in, UnaryOperator<MergePolicy.OneMerge> wrapOneMerge)`
  Constructor